# ZooKeeperServerMode Data Model

The state of the Zookeeper server.

Values
value | description
--- | ---
STANDALONE | The ZooKeeper Server is a Standalone server.
REPLICATED_FOLLOWER | The ZooKeeper Server is a Follower in a set of replicas.
REPLICATED_LEADER | The ZooKeeper Server is a Leader in a set of replicas.
REPLICATED_LEADER_ELECTION | The ZooKeeper Server is going through Leader election in a set of replicas.
REPLICATED_OBSERVER | The ZooKeeper Server is an Observer in a set of replicas.
UNKNOWN | The status of the ZooKeeper Server could not be determined.